Review a support ticket draft
import requests
url = "https://platform.ankra.app/api/v1/org/support/tickets/review"
payload = {
"description": "<string>",
"subject": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: '<string>', subject: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/org/support/tickets/review', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/support/tickets/review \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"subject": "<string>"
}
'{
"enrichment": {
"category": "technical",
"severity": "low",
"summary": "<string>"
},
"expires_at": "2023-11-07T05:31:56Z",
"quality": "pass",
"review_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clarifying_questions": [
"<string>"
],
"duplicate_candidates": [
{
"candidate_id": "<string>",
"confidence": "<string>",
"status_label": "<string>",
"summary": "<string>",
"already_resolved": false
}
],
"quality_flags": [
"<string>"
],
"recommended_action": "new"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Support
Review a support ticket draft
Checks a ticket draft before it is opened and returns a review_id, valid for one hour, together with a quality verdict, clarifying questions and possible duplicate tickets. Pass the review_id when creating the ticket.
POST
/
api
/
v1
/
org
/
support
/
tickets
/
review
Review a support ticket draft
import requests
url = "https://platform.ankra.app/api/v1/org/support/tickets/review"
payload = {
"description": "<string>",
"subject": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: '<string>', subject: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/org/support/tickets/review', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/support/tickets/review \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"subject": "<string>"
}
'{
"enrichment": {
"category": "technical",
"severity": "low",
"summary": "<string>"
},
"expires_at": "2023-11-07T05:31:56Z",
"quality": "pass",
"review_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clarifying_questions": [
"<string>"
],
"duplicate_candidates": [
{
"candidate_id": "<string>",
"confidence": "<string>",
"status_label": "<string>",
"summary": "<string>",
"already_resolved": false
}
],
"quality_flags": [
"<string>"
],
"recommended_action": "new"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Body
application/json
Response
Successful Response